Subject: Re: [Int-area] Discussion about Section 6.1 in draft-ietf-intarea-frag-fragile

From: Ron Bonica <[email-masked]>
Date: Thu, 12 Sep 2019 16:07:32 +0000

Folks,

To the best of my knowledge, 508 messages have been posted to this mailing list regarding draft-ietf-intarea-frag-fragile.

I wonder if that is a WG record?

                                                           Ron

Juniper Business Use Only

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 12 Sep 2019 16:34:49 +0000

Ron, it is just a drop in the bucket compared with the amount of discussion since
"Fragmentation Considered Harmful (1987)". But, I think we now clearly see a
case where  fragmentation is *required*.

Thanks - Fred

> -----Original Message-----
> From: Int-area [mailto:[email-masked]] On Behalf Of Ron Bonica
> Sent: Thursday, September 12, 2019 9:08 AM
> To: [email-masked]
> Subject: Re: [Int-area] Discussion about Section 6.1 in draft-ietf-intarea-frag-fragile
> 
> Folks,
> 
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area

---

From: Ole Troan <[email-masked]>
Date: Fri, 13 Sep 2019 13:59:56 +0200

Fred,

> case where  fragmentation is *required*.

Absolutely. As tunnels produce a new link-layer, that can (should) be a function of that link-layer.
Network layer fragmentation is not needed for that.
(For the purpose of making the point and to set future direction, ignoring existing IP tunnel mechanisms).

Cheers,
Ole

---

From: Fred Baker <[email-masked]>
Date: Fri, 13 Sep 2019 15:05:58 +0300

And the link layer could include capabilities such as described in RFC 1990...

> On Sep 13, 2019, at 2:59 PM, Ole Troan <[email-masked]> wrote:
> 
> Fred,
>

---

From: Joe Touch <[email-masked]>
Date: Fri, 13 Sep 2019 07:07:26 -0700

> On Sep 13, 2019, at 4:59 AM, Ole Troan <[email-masked]> wrote:
> 

IP in IP tunneling is the point here. It’s both a standard and widely used.

What’s the point of omitting it or setting that as a direction?

Joe

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 13 Sep 2019 14:07:49 +0000

Ole,

> From: Ole Troan [mailto:[email-masked]]
> Sent: Friday, September 13, 2019 5:00 AM
> To: Templin (US), Fred L <[email-masked]>
> Cc: Ron Bonica <rbonica=[email-masked]>; [email-masked]

New tunnel protocols like GUE can specify their own link adaptation schemes in
an encapsulation sublayer above the outer IP layer. Section 5 of "GUE Extensions"
specifies exactly such a scheme:

https://datatracker.ietf.org/doc/draft-ietf-intarea-gue-extensions/

However, existing tunnel protocols like RFC2473 and RFC4213 do not have the
option of inserting an encapsulation sublayer and have no alternative but to
employ IP fragmentation.

Fred

---

From: Joe Touch <[email-masked]>
Date: Fri, 13 Sep 2019 07:12:32 -0700

> On Sep 13, 2019, at 5:05 AM, Fred Baker <[email-masked]> wrote:
> 
> And the link layer could include capabilities such as described in RFC 1990…

Wouldn’t this required:

a) stateful associations between all link endpoints

b) all links be 2-party only

c) intermediate devices be happy to handle fragments that might not have a transport header

I.e., how does this move the needle forward?

Joe